# CarbX, except for the proprietary licensed third party source code in human
# and/or machine-readable form, is free software. The third-party source code is
# not shipped in human and/or machine-readable form along with these source
# files. If you build CarbX from the provided CarbX source code files while
# obtaining the required libraries, files and third party source code as well as
# the required licences on your own, you can redistribute and/or modify the
# remaining parts of CarbX (i. e. the parts developed by Torben Pfaff) under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version. This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
# for more details. You should have received a copy of the GNU Lesser General
# Public License along with this program. If not, see http://www.gnu.org/licenses/.


#-------------------------------------------------
#
# Project created by QtCreator 2017-01-01T00:00:00
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = CarbX
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES  += \
            autofitmathematica.cpp \ #leave out if "wstp.h" is not available
            autofitsequence.cpp \
            autofitsettings.cpp \
            autofitstep.cpp \
            auxiliarymethods.cpp \
            calculations.cpp \
            datacalculations.cpp \
            datastorage.cpp \
            datafileaccess.cpp \
            dialog_choosetemplate.cpp \
            dialog_fileconversion.cpp \
            dialog_name.cpp \
            dialog_preferences.cpp \
            deviation.cpp \
            inifileaccess.cpp \
            main.cpp \
            mainwindow.cpp \
            parameterfileaccess.cpp \
            parameterset.cpp \
            parametersetautofit.cpp \
            programparameterset.cpp \
            programsettingsset.cpp \
            settingsstorage.cpp \
            z_numrecip/splint.c \
            z_numrecip/spline.c \
            z_numrecip/pzextr.c \
            z_numrecip/odeint.c \
            z_numrecip/nrutil.c \
            z_numrecip/nrcomplex.c \
            z_numrecip/mmid.c \
            z_numrecip/hypser.c \
            z_numrecip/hypgeo.c \
            z_numrecip/hypdrv.c \
            z_numrecip/gammln.c \
            z_numrecip/factln.c \
            z_numrecip/bsstep.c \


HEADERS  += \
            autofitmathematica.h \ #leave out if "wstp.h" is not available
            autofitsequence.h \
            autofitsettings.h \
            autofitstep.h \
            auxiliarymethods.h \
            calculations.h \
            datacalculations.h \
            datastorage.h \
            datafileaccess.h \
            dialog_choosetemplate.h \
            dialog_fileconversion.h \
            dialog_name.h \
            dialog_preferences.h \
            deviation.h \
            enumerations.h \
            inifileaccess.h \
            mainwindow.h \
            parameterfileaccess.h \
            parameterset.h \
            parametersetautofit.h \
            programparameterset.h \
            programsettingsset.h \
            settingsstorage.h \
            structs.h \
            wstp.h \
            z_numrecip/nrutil.h \
            z_numrecip/nrcomplex.h \
            z_numrecip/nr.h \

FORMS    += autofitsettings.ui \
            dialog_choosetemplate.ui \
            dialog_fileconversion.ui \
            dialog_name.ui \
            dialog_preferences.ui \
            deviation.ui \
            mainwindow.ui \


#ICON
OTHER_FILES += CarbX.rc \
               Icon_big.ico \
               Icon_small.ico

RESOURCES   += CarbX.qrc

RC_FILE      = CarbX.rc

#QWT
INCLUDEPATH += ./qwt/include            #REPLACE . WITH PATH TO QWT
win32:LIBS  += ./qwt/lib/libqwt.a       #REPLACE . WITH PATH TO QWT
win32:LIBS  += ./qwt/lib/libqwtmathml.  #REPLACE . WITH PATH TO QWT
CONFIG      += qwt

#WSTP - leave next line out if "wstp.h" is not available
win32:LIBS  += "./Mathematica/SystemFiles/Links/WSTP/DeveloperKit/Windows/SystemAdditions/wstp32i4.dll" #REPLACE . WITH PATH TO MATHEMATICA

#TRANSLATION
TRANSLATIONS = CarbX_de.ts \
               CarbX_en.ts
