/*
 * CarbX, except for the proprietary licensed third party source code in human
 * and/or machine-readable form, is free software. The third-party source code is
 * not shipped in human and/or machine-readable form along with these source
 * files. If you build CarbX from the provided CarbX source code files while
 * obtaining the required libraries, files and third party source code as well as
 * the required licences on your own, you can redistribute and/or modify the
 * remaining parts of CarbX (i. e. the parts developed by Torben Pfaff) under the
 * terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version. This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details. You should have received a copy of the GNU Lesser General
 * Public License along with this program. If not, see http://www.gnu.org/licenses/.
 */

#ifndef AUTOFITSTEP_H
#define AUTOFITSTEP_H

#include <QString>
#include <QStringList>

#include "enumerations.h"
#include "structs.h"

#include <QObject>

class AutoFitStep{

public:
    AutoFitStep();
    ~AutoFitStep();

    AutoFitStep *duplicate(); //creates duplicate of itself and return pointer to it

    //variables public for easier access
    QString *name; //name of step
    bool useStep; //shall step be used in AutoFitSequence
    AutoFitElement autoFitElements[Enumerations::countOf_parNameAutoFit];
    QStringList *additionalConditions;

};

#endif // AUTOFITSTEP_H
