/*
 * CarbX, except for the proprietary licensed third party source code in human
 * and/or machine-readable form, is free software. The third-party source code is
 * not shipped in human and/or machine-readable form along with these source
 * files. If you build CarbX from the provided CarbX source code files while
 * obtaining the required libraries, files and third party source code as well as
 * the required licences on your own, you can redistribute and/or modify the
 * remaining parts of CarbX (i. e. the parts developed by Torben Pfaff) under the
 * terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version. This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details. You should have received a copy of the GNU Lesser General
 * Public License along with this program. If not, see http://www.gnu.org/licenses/.
 */

#ifndef DIALOG_FILECONVERSION_H
#define DIALOG_FILECONVERSION_H

#include <QCloseEvent>
#include <QKeyEvent>

#include "enumerations.h"

#include <QDialog>

namespace Ui {
    class Dialog_FileConversion;
}

class Dialog_FileConversion : public QDialog{

    Q_OBJECT

public:
    explicit Dialog_FileConversion(QWidget *parent = 0);
    ~Dialog_FileConversion();

    //preset formats in comboBoxes
    void presetFormats(Enumerations::XFormat XFormat, Enumerations::YFormat YFormat);

    //readout of chosen formats
    Enumerations::XFormat get_XFormat();
    Enumerations::YFormat get_YFormat();

private slots:
    void on_button_OK_clicked();

private:
    Ui::Dialog_FileConversion *ui;

    //format of raw data
    Enumerations::XFormat XFormat;
    Enumerations::YFormat YFormat;

    //close allowed? (close only by click on OK)
    bool canClose;

    //Events
    void keyPressEvent(QKeyEvent *event);
    void closeEvent(QCloseEvent *event);

};

#endif // DIALOG_FILECONVERSION_H
