/*
 * CarbX, except for the proprietary licensed third party source code in human
 * and/or machine-readable form, is free software. The third-party source code is
 * not shipped in human and/or machine-readable form along with these source
 * files. If you build CarbX from the provided CarbX source code files while
 * obtaining the required libraries, files and third party source code as well as
 * the required licences on your own, you can redistribute and/or modify the
 * remaining parts of CarbX (i. e. the parts developed by Torben Pfaff) under the
 * terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version. This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details. You should have received a copy of the GNU Lesser General
 * Public License along with this program. If not, see http://www.gnu.org/licenses/.
 */

#include "dialog_name.h"
#include "ui_dialog_name.h"

Dialog_name::Dialog_name(QString *caption, QString *presetName, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog_name){
    ui->setupUi(this);

    //own code
    this->setFixedSize(this->width(), this->height());
    this->setWindowFlags(Qt::MSWindowsFixedSizeDialogHint);
    this->setWindowFlags(Qt::CustomizeWindowHint);
    setFocus();

    this->canClose = false;

    if (caption != 0){
        ui->label_title->setText(*caption);
        delete caption;
    }

    if (presetName != 0){
        ui->edit_Name->setText(*presetName);
        delete presetName;
    }

    this->setFocus();

    ui->edit_Name->setFocus();
}

Dialog_name::~Dialog_name(){
    delete ui;
}

//readout name
QString* Dialog_name::getName(){
    return (new QString(ui->edit_Name->text())); //is deleted in calling class
}

void Dialog_name::on_edit_Name_returnPressed(){
    on_button_OK_clicked();
}

void Dialog_name::on_button_OK_clicked(){
    canClose = true;
    this->close();
}

void Dialog_name::keyPressEvent(QKeyEvent *event){
    event->accept();
}

void Dialog_name::closeEvent(QCloseEvent *event){
    if (canClose)
        event->accept();
    else
        event->ignore();
}

