/*
 * CarbX, except for the proprietary licensed third party source code in human
 * and/or machine-readable form, is free software. The third-party source code is
 * not shipped in human and/or machine-readable form along with these source
 * files. If you build CarbX from the provided CarbX source code files while
 * obtaining the required libraries, files and third party source code as well as
 * the required licences on your own, you can redistribute and/or modify the
 * remaining parts of CarbX (i. e. the parts developed by Torben Pfaff) under the
 * terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version. This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details. You should have received a copy of the GNU Lesser General
 * Public License along with this program. If not, see http://www.gnu.org/licenses/.
 */

#include <QApplication>
#include <QTranslator>
#include "mainwindow.h"

int main(int argc, char *argv[]){

    QApplication a(argc, argv);

    //choose code for desired language, comment other block out

    {   //English
        QTranslator *appTranslator = new QTranslator(&a);
        if (appTranslator->load(a.applicationDirPath() + "/translation/CarbX_en"))
            a.installTranslator(appTranslator);
    }

    /*{   //German

        QTranslator *qtTranslator = new QTranslator(&a);
        if (qtTranslator->load(a.applicationDirPath() + "/translation/qt_de"))
            a.installTranslator(qtTranslator);

        QTranslator *qt_helpTranslator = new QTranslator(&a);
        if (qt_helpTranslator->load(a.applicationDirPath() + "/translation/qt_help_de"))
            a.installTranslator(qt_helpTranslator);

        QTranslator *qtbaseTranslator = new QTranslator(&a);
        if (qtbaseTranslator->load(a.applicationDirPath() + "/translation/qtbase_de"))
            a.installTranslator(qtbaseTranslator);

        QTranslator *qtconnectivityTranslator = new QTranslator(&a);
        if (qtconnectivityTranslator->load(a.applicationDirPath() + "/translation/qtconnectivity_de"))
            a.installTranslator(qtconnectivityTranslator);

        QTranslator *qtdeclarativeTranslator = new QTranslator(&a);
        if (qtdeclarativeTranslator->load(a.applicationDirPath() + "/translation/qtdeclarative_de"))
            a.installTranslator(qtdeclarativeTranslator);

        QTranslator *qtlocationTranslator = new QTranslator(&a);
        if (qtlocationTranslator->load(a.applicationDirPath() + "/translation/qtlocation_de"))
            a.installTranslator(qtlocationTranslator);

        QTranslator *qtmultimediaTranslator = new QTranslator(&a);
        if (qtmultimediaTranslator->load(a.applicationDirPath() + "/translation/qtmultimedia_de"))
            a.installTranslator(qtmultimediaTranslator);

        QTranslator *qtquick1Translator = new QTranslator(&a);
        if (qtquick1Translator->load(a.applicationDirPath() + "/translation/qtquick1_de"))
            a.installTranslator(qtquick1Translator);

        QTranslator *qtquickcontrolsTranslator = new QTranslator(&a);
        if (qtquickcontrolsTranslator->load(a.applicationDirPath() + "/translation/qtquickcontrols_de"))
            a.installTranslator(qtquickcontrolsTranslator);

        QTranslator *qtscriptTranslator = new QTranslator(&a);
        if (qtscriptTranslator->load(a.applicationDirPath() + "/translation/qtscript_de"))
            a.installTranslator(qtscriptTranslator);

        QTranslator *qtserialportTranslator = new QTranslator(&a);
        if (qtserialportTranslator->load(a.applicationDirPath() + "/translation/qtserialport_de"))
            a.installTranslator(qtserialportTranslator);

        QTranslator *qtwebengineTranslator = new QTranslator(&a);
        if (qtwebengineTranslator->load(a.applicationDirPath() + "/translation/qtwebengine_de"))
            a.installTranslator(qtwebengineTranslator);

        QTranslator *qtwebsocketsTranslator = new QTranslator(&a);
        if (qtwebsocketsTranslator->load(a.applicationDirPath() + "/translation/qtwebsockets_de"))
            a.installTranslator(qtwebsocketsTranslator);

        QTranslator *qtxlmpatternsTranslator = new QTranslator(&a);
        if (qtxlmpatternsTranslator->load(a.applicationDirPath() + "/translation/qtxmlpatterns_de"))
            a.installTranslator(qtxlmpatternsTranslator);

        QTranslator *appTranslator = new QTranslator(&a);
        if (appTranslator->load(a.applicationDirPath() + "/translation/CarbX_de"))
            a.installTranslator(appTranslator);
    }*/

    MainWindow w;
    w.show();

    return a.exec();
}
